Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.config
Interface RealmConfiguration

All Superinterfaces:
  EJBObject, Remote

public interface RealmConfiguration
extends EJBObject

This is the public interface for keeping personalization profile records in sync with the WLS realm.

Method Summary
`void` | `cleanupMisconfiguredGroups()` Removes misconfigured groups (those found in the database but not in the realm) from the database.
`void` | `cleanupMisconfiguredUsers()` Removes misconfigured users (those found in the database but not in the realm) from the database.
`void` | `cleanupMisconfiguredUsers(String[] users)` Removes misconfigured users (those found in the database but not in the realm) from the database.
`String[]` | `getGroupProfileNames()` Returns just the groups found in the database.
`String[]` | `getMisconfiguredGroups()` Returns the group names that exist in the database, but not in the realm.
`String[]` | `getMisconfiguredUsers()` Returns the usernames that exist in the database, but not in the realm.
`String[]` | `getRealmGroups()` Get a list of groups in the realm
`String[]` | `getRealmUsers()` Get a list of groups in the realm
`String[]` | `getUserProfileNames()` Returns just the users found in the database.
`boolean` | `isManageableRealm()` Determine if the current realm is writable.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### cleanupMisconfiguredGroups

    public void cleanupMisconfiguredGroups()
                                    throws RemoteException

  Removes misconfigured groups (those found in the database but not in the realm) from the database.

  Returns:
    a status message for the operation
  Throws:
    ``UserManagementException`` - error cleaning up users
    ``RemoteException`` - general error
    `RemoteException`

### cleanupMisconfiguredUsers

    public void cleanupMisconfiguredUsers()
                                   throws RemoteException

  Removes misconfigured users (those found in the database but not in the realm) from the database.

  Returns:
    a status message for the operation
  Throws:
    ``UserManagementException`` - error cleaning up users
    ``RemoteException`` - general error
    `RemoteException`

### cleanupMisconfiguredUsers

    public void cleanupMisconfiguredUsers(String[] users)
                                   throws RemoteException

  Removes misconfigured users (those found in the database but not in the realm) from the database.

  Parameters:
    `users` - The list of misconfigured users.
  Returns:
    a status message for the operation
  Throws:
    ``UserManagementException`` - error cleaning up users
    ``RemoteException`` - general error
    `RemoteException`

### getGroupProfileNames

    public String[] getGroupProfileNames()
                                  throws RemoteException

  Returns just the groups found in the database.

  Returns:
    a list of groups in the database
  Throws:
    ``UserManagementEximport` - com.bea.p13n.usermgmt.profile.ProfileWrapper; ception` error accessing the database
    ``RemoteException`` - general error
    `RemoteException`

### getMisconfiguredGroups

    public String[] getMisconfiguredGroups()
                                    throws RemoteException

  Returns the group names that exist in the database, but not in the realm.

  Returns:
    the names for the groups that are misconfigured
  Throws:
    ``UserManagementException`` - user find error
    ``RemoteException`` - general error
    `RemoteException`

### getMisconfiguredUsers

    public String[] getMisconfiguredUsers()
                                   throws RemoteException

  Returns the usernames that exist in the database, but not in the realm.

  Returns:
    the usersnames for the users that are misconfigured
  Throws:
    ``UserManagementException`` - user find error
    ``RemoteException`` - general error
    `RemoteException`

### getRealmGroups

    public String[] getRealmGroups()
                            throws RemoteException

  Get a list of groups in the realm

  Throws:
    `RemoteException`

### getRealmUsers

    public String[] getRealmUsers()
                           throws RemoteException

  Get a list of groups in the realm

  Throws:
    `RemoteException`

### getUserProfileNames

    public String[] getUserProfileNames()
                                 throws RemoteException

  Returns just the users found in the database.

  Returns:
    a list of usernames in the database
  Throws:
    ``UserManagementException`` - error accessing the database
    ``RemoteException`` - general error
    `RemoteException`

### isManageableRealm

    public boolean isManageableRealm()
                              throws RemoteException

  Determine if the current realm is writable.

  Returns:
    true if it is, false otherwise.
  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved